Subject: Re: sky2 problem on powerpc

From: Stephen Hemminger <[email-masked]>
Date: Mon, 4 Sep 2006 21:15:31 -0700

On Tue, 05 Sep 2006 13:47:52 +1000
Benjamin Herrenschmidt <[email-masked]> wrote:

> 
> > It may not need any swapping, it is hard to tell what the hardware
> > will do without experimentation.
> 
> Yes... did you have a chance to test the vlan stuff on LE machines
> (x86) ? did it work with the BE swapping you were doing ? I've
> purposedly removed in my patches the hardware side swapping of the
> descriptors, as I explained, thus making the hardware react the same on
> ppc and x86. Thus we need the exact same swapping macros on both
> platforms).

Last time I checked it worked.  Private cable simulating VLAN
from other Linux card.

> I know pretty much nothing about vlan so I'm not too much about trying
> to check that right now :)
> 
> Also, there is still the hw checksum issue .... I need to verify what's
> up there, it might be a swapping problem as well... or not. Can you send
> me your latest patch set so I can work from there ?
> 
> Cheers,
> Ben
>